import request from '@/utils/request'
import Qs from "qs";

// 审核列表查询方法
export function getDataList(query) {
  return request({
    url: '/blesson/getLessonAuditPrimary',
    method: 'get',
    params: query
  })
}
// 获取各个审核类型的数量
export function getLessonAuditCount(query) {
  return request({
    url: '/blesson/getLessonAuditCount',
    method: 'get',
    params: query
  })
}

export function blessonAdd(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/blesson/update/' + businessId,
    method: 'put',
    data,
    headers: {}
  })
}
export function updateLessonAudit(data) {
  data = Qs.stringify(data)
  return request({
    url: '/blesson/updateLessonAudit',
    method: 'post',
    data
  })
}

/** 查询历史审批记录*/
export function getLessonFailHistory(query) {
  return request({
    url: '/blesson/getLessonFailHistory',
    method: 'get',
    params: query
  })
}
/** 根据课程id查询试卷*/
export function examFindByLessonId(params) {
  return request({
    url: '/teaexamquestions/findByLessonId',
    method: 'get',
    params
  })
}
/** 查询课程详情*/
export function queryOne(params) {
  return request({
    url: '/blesson/one',
    method: 'get',
    params: params
  })
}
/** 查询课程目录*/
export function queryBChapters(query) {
  return request({
    url: '/bchapter/queryBChaptersWithoutAuthWEB',
    method: 'get',
    params: query
  })
}

/** 获取视频资源*/
export function findVideoUrl(data) {
  data = Qs.stringify(data)
  return request({
    url: '/bfile/findVideoUrl',
    method: 'post',
    data
  })
}
/** 查询课程讲师信息*/
export function cmsLecturerDetail(businessId) {
  return request({
    url: `/cmslecturer/detail/${businessId}`,
    method: 'get'
  })
}
