import request from '@/utils/request'

/** 组织结构新增接口*/
export function organizationAddApi(data) {
  return request({
    url: '/iaminstitution/add',
    method: 'post',
    params: data
  })
}

/** 组织结构删除接口*/
export function organizationDelApi(id) {
  return request({
    url: 'iaminstitution/deleteLogical/' + id,
    method: 'delete'
  })
}
/** 组织结构修改接口*/
export function organizationUpdataApi(data, id) {
  return request({
    url: '/iaminstitution/update/' + id,
    method: 'put',
    params: data
  })
}
/** 组织结构获取详情接口*/
export function organizationGetDetailApi(id) {
  return request({
    url: '/iaminstitution/detail/' + id,
    method: 'get'
  })
}
/** 组织结构分页查询接口*/
export function organizationGetDataListApi(data) {
  return request({
    url: '/iaminstitution/list',
    method: 'get',
    params: data
  })
}
/** 网关日志分页查询接口*/
export function iaminstitutionListApi(data) {
  return request({
    url: '/openapilog/list',
    method: 'get',
    params: data
  })
}
/** 网关日志导出接口*/
export function iaminstitutionExportApi(query) {
  return request({
    url: '/openapilog/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
/** 网关日志查询详情接口*/
export function openapilogDetailApi(id) {
  return request({
    url: '/openapilog/detail/' + id,
    method: 'get'
  })
}

/** 组织机构获取secretKey解密*/
export function iaminstitutionDecrypt(params) {
  return request({
    url: '/iaminstitution/decrypt',
    method: 'get',
    params: params
  })
}
