import request from '@/utils/request'
import Qs from 'qs'

/**
* 1. 列表查询
* 2. 查询详细信息
* 3. 新增
* 4. 修改
* 5. 逻辑删除
* 6. 导出
*
*/

// 1. 查询单位管理列表
export function listSysUnit(query) {
  return request({
    url: '/sysunit/querySysUnitByPagination',
    method: 'get',
    params: query
  })
}

// 2. 查询单位管理详细信息
export function getSysUnit(businessId) {
  return request({
    url: '/sysunit/detail/' + businessId,
    method: 'get'
  })
}

// 3. 新增单位管理
export function addSysUnit(data) {
  data = Qs.stringify(data)
  return request({
    url: '/sysunit/add',
    method: 'post',
    data: data
  })
}

// 4. 修改单位管理
export function updateSysUnit(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/sysunit/update/' + businessId,
    method: 'put',
    data
  })
}

// 5. 逻辑删除单位管理
export function delSysUnit(businessId) {
  return request({
    url: '/sysunit/delete/' + businessId,
    method: 'delete'
  })
}

// 6. 导出单位管理
export function exportSysUnit(query) {
  return request({
    url: '/sysunit/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
// 7.查询所有用户信息
export function listUserAll(query) {
  return request({
    url: '/sysunit/querySysUsers',
    method: 'get',
    params: query
  })
}

// 8.查询所有单位信息
export function listUnitAll(query) {
  return request({
    url: '/sysunit/querySysUnits',
    method: 'get',
    params: query
  })
}
// 9.查询所有课程信息
export function listCourseAll(query) {
  return request({
    url: '/blesson/teaLess',
    method: 'get',
    params: query
  })
}

// 7.查询所有的单位管理员信息
export function listUnitAdminAll(userId) {
  return request({
    url: '/sysunit/queryAllUnitAdmins?userId=' + userId,
    method: 'get'
  })
}

